import sys

from statistics import mean

if __name__ == '__main__':
    vals = []

    with open(sys.argv[1]) as f:
        rec = []
        for line in f:
            if line.startswith('DBGCART'):
                parts = line.strip().split()
                if len(parts) != 5:
                    continue
                t = float(parts[1][:-1])
                
                if rec:
                    if parts[4] == '$00':
                        vals.append(rec[1]-rec[0])
                        rec = []
                    else:
                        rec.append(t)
                else:
                    rec.append(t)

    print("%.4f" % mean(vals),len(vals),"samples")
